Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text
Interface Highlighter.HighlightPainter

All Known Implementing Classes:
  DefaultHighlighter.DefaultHighlightPainter, LayeredHighlighter.LayerPainter

Enclosing interface:
  Highlighter

    public static interface Highlighter.HighlightPainter

Highlight renderer.

Method Summary
`void` | `paint(Graphics g, int p0, int p1, Shape bounds, JTextComponent c)` Renders the highlight.

Method Detail

### paint

    void paint(Graphics g,
               int p0,
               int p1,
               Shape bounds,
               JTextComponent c)

  Renders the highlight.

  Parameters:
    `g` - the graphics context
    `p0` - the starting offset in the model >= 0
    `p1` - the ending offset in the model >= p0
    `bounds` - the bounding box for the highlight
    `c` - the editor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.